Subject: Re: [RFC] Two conceptually distinct commit commands

From: Jakub Narebski <[email-masked]>
Date: Mon, 04 Dec 2006 22:19:55 +0100

Carl Worth wrote:

> But what might be very interesting is a modified "git-apply --index"
> that would not fail in this case, but would instead do the following:
> 
>         1. Apply the patch to the working tree
> 
>         2. Apply the patch to the index
> 
> And of course, if either fails then the entire apply operation fails,
> leaving no changes to working tree or to the index.

Or even new option to git-apply, namely --index-only, which would apply
patch to index only.

BTW. With git-apply we have three possibilities to apply patch to:
HEAD, index and working tree version, and three possibilities to
store result in: working tree only, working tree and index both,
and index only.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git